using MessagePack;
#if GameClient
using GameFramework;
#endif

namespace GameMessage
{
    /// <summary>
    /// 注销请求
    /// </summary>
    [Message(MessageCode.LogOutRequest)]
    [MessagePackObject()]
    public class LogOutRequest : MessageData
    {
#if GameClient
        public static LogOutRequest Create()
        {
            return ReferencePool.Acquire<LogOutRequest>();
        }
#endif
    }
    
    /// <summary>
    /// 注销响应
    /// </summary>
    [Message(MessageCode.LogOutResponse)]
    [MessagePackObject()]
    public class LogOutResponse : MessageData
    {
        [Key(0)]
        public int ResultCode;
    }
}